import os
from setuptools import find_packages, setup

package = {

	#Main

    'name': 'packgram',
	'version': '0.5.0',
	'packages': find_packages(os.path.dirname(__file__) or '.', exclude=['tests*']),
	'include_package_data': True,
    'install_requires': ['brief>=0.8', 'runpack>=0.8'],	
    'tests_require': ['nose'],
    'test_suite': 'nose.collector',
    
    #Description
    
    'author': 'Respect31',
    'author_email': 'post@respect31.com',
    'maintainer': 'Respect31',
    'maintainer_email': 'post@respect31.com',
    'license': 'MIT License',    
    'url': 'https://github.com/respect31/packgram',
    'download_url': 'https://github.com/respect31/packgram/tarball/0.5.0',    
    'classifiers': ['Development Status :: 2 - Pre-Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: MIT License', 'Programming Language :: Python :: 3.3', 'Topic :: Software Development :: Libraries :: Python Modules', 'Topic :: System :: Systems Administration'],    
    'description': 'Framework to develop packages.',    
    'long_description': '''Packgram
========
Framework to develop packages.

Requirements
------------
- Python 3.3 and higher

Installation
------------
- pip install packgram

Classifiers
-----------
- Development Status :: 2 - Pre-Alpha
- Intended Audience :: Developers
- License :: OSI Approved :: MIT License
- Programming Language :: Python :: 3.3
- Topic :: Software Development :: Libraries :: Python Modules
- Topic :: System :: Systems Administration''',
        
}

if __name__ == '__main__':
    setup(**package)